<?php
@session_start();
 include "conexion.php";
 $sql_contar =mysqli_query($conexion,"SELECT nombre,direccion,telefono,email FROM parametros");
 while($datos= mysqli_fetch_row($sql_contar))
   {  $nombree=$datos[0];
      $direccion=$datos[1];
	  $telefono=$datos[2];
	  $email=$datos[3];
   }

include "seguridad.php" ;
$vp_nompro="SAGA";
$sql_codpro=mysqli_query($conseg,"select Id,Nombre,descripcion,version 
					from programa where Nombre='".trim($vp_nompro)."'");
while($datos= mysqli_fetch_row($sql_codpro))//01
{
  $vr_codpro=$datos[0];
  $nombreprograma=$datos[1];
  $descripcion=$datos[2];
  $version=$datos[3];
}

require_once ('Mobile_Detect.php');
$detect = new Mobile_Detect(); 
if ($detect->isMobile()==false) 
   { 
	   $tipodispo=2;
   }
else
   {  $tipodispo=1;}  
   
?>
<link href="bootstrap-4.1.3/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="bootstrap-4.1.3/js/bootstrap.min.js"></script>

<!DOCTYPE html>
<html>
<head>
	<title><?php  echo $descripcion; ?></title>
   <!--Made with love by Mutiullah Samim -->

   <style>
   /* Made with love by Mutiullah Samim*/
html,body{
background-image: url('imagenes/fondoinicio.png');
background-size: cover;
background-repeat: no-repeat;
height: 50%;
font-family: 'Numans', sans-serif;
}

.container{
height: 100%;
align-content: center;
}

.card{
height: 280px;
margin-top: 10;
margin-bottom: auto;
width: 400px;
background-color: rgba(5,6,0,0.5) !important;
}

.social_icon span{
font-size: 60px;
margin-left: 10px;
color: #0076A8;
}

.social_icon span:hover{
color: white;
cursor: pointer;
}

.card-header h3{
color: white;
}

.social_icon{
position: absolute;
right: 20px;
top: -45px;
}


.input-group-prepend span{
width: 50px;
background-color: #EB8A3B;
color: black;
border:0 !important;
}

input:focus{
outline: 0 0 0 0  !important;
box-shadow: 0 0 0 0 !important;
}

.remember{
color: white;
}

.remember input
{
width: 20px;
height: 20px;
margin-left: 15px;
margin-right: 5px;
}

.login_btn{
color: black;
background-color: #EB8A3B;
width: 100px;
}

.login_btn:hover{
color: black;
background-color: white;
}

.links{
color: white;
}

.links a{
margin-left: 4px;
}
   </style>
  

	<!--Bootsrap 4 CDN-->
	<link rel="icon" type="image/png" href="icono.ico"/>
    <link rel="stylesheet" href="bootstrap-4.1.3/css/bootstrap.min.css"  crossorigin="anonymous">

    <!--Fontawesome CDN-->
	<link href="plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet">
	<!--Custom styles-->
	<link rel="stylesheet" type="text/css" href="styles.css">

 <script>
  function mostrarContrasena(){
      var tipo = document.getElementById("password");
	 
      if(tipo.type == "password"){
          tipo.type = "text";
      }else{
          tipo.type = "password";
      }
  }
</script>

</head>

<body>

<?php
$mensaje="";
if(isset($_REQUEST['oculto']))
  { 
	 $strUser=$_REQUEST['login'];
	 $strPassword=md5($_REQUEST['password']);
	$mensaje="";
	
	  if($_REQUEST['oentrar'])
	   {
   
     $sql_contar=mysqli_query($conseg,"select count(*) as contar from usuario where login='".$strUser."'");
	 while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
		 
	     if($contar==0)
		  {
		    $mensaje="El Usuario no existe, por favor Verificar";
			$tipo='warning';
		  }
		 else
		  { 
	       
		 $sql_contar=mysqli_query($conseg,"select nombre,apellido ,documento,password,tipo from usuario where login='".$strUser."'");
		 while($datos= mysqli_fetch_row($sql_contar))
		 		{ $vr_nombre=$datos[0]." ".$datos[1];
				  $vr_doc=$datos[2];
				  $password=$datos[3];		
				  $tipo=$datos[4];				
				} 
				
			 if(trim($password)==trim($strPassword))//Valida Claves de acceso
			  { 
				  
				  $regvar=getenv("REMOTE_ADDR");
				  $vl_usuarioentrada=strtolower($strUser);
				  $vg_pais="";
				  $sql_ip=mysqli_query($conseg,"delete from permiso 
				  				where login='".$vl_usuarioentrada."' and programa=".$vr_codpro."");
				  $sql_insert=mysqli_query($conseg,"insert into permiso (ip,login,Documento,
				  		nombre,programa,perfil)
									  values('".$regvar."','".trim($vl_usuarioentrada)."',
									  		'".trim($vr_doc)."',
											 '".trim($vr_nombre)."',".$vr_codpro.",NULL)");	
				  if($sql_insert)	//si la sentencia es correcta						 
				   { 
					  unset($_SESSION["usuario"]);
					  unset($_SESSION["tipousuario"]);
					  $fechahora = time(); $vl_hora=date("H:i:s",$fechahora);
					  $ipmaquina=getenv("REMOTE_ADDR");  
					  $_SESSION["usuario"]=$vl_usuarioentrada;		
					  $_SESSION["tipousuario"]=$tipo;	
			  

					  $sql_insert=mysqli_query($conseg,"insert into registro_acceso_programas (ip,login,nombre,fecsis,hora,programa)
											   values('".$ipmaquina."','".$vl_usuarioentrada."','".trim($vr_nombre)."','".date("Y-m-d")."',
											   '".$vl_hora."','".$vr_codpro."')");	
					  echo "<script>"; 
					  echo "window.location='ver_perfil.php';";
					  echo "</script>";
				   }
			  }
			 else
			  {
				$mensaje="El Password es Incorrecto, por favor Verificar";
				$tipo='warning';
			  } 
		  }		  	
	   }
	   else
	   { 
	     $mensaje="Debe de Digitar el Usuario y el Password";
		 $tipo='warning';
	   }
	}
?>	
<br><br><br><br><br><br>

<div class="container">
	<div class="d-flex justify-content-center h-100">
		<div class="card">
			<div class="card-header">
				<h3> INGRESO</h3>
			</div>
			<div class="card-body">
				<form>
					<div class="input-group form-group">
						<div class="input-group-prepend">
							<span class="input-group-text"><img src="imagenes/user.png" width='20px' height='20px'></span>
						</div>
						<input type="text" name="login" id="login" class="form-control" placeholder="login">
					</div>
					
					<div class="input-group form-group">
						<div class="input-group-prepend">
							<span class="input-group-text">
							<img src="imagenes/key.png" width='20px' height='20px'>
								</span>
						</div>
						<input type="password" name="password" id="password" class="form-control" placeholder="password">
					</div>
					<div class="form-group">
						<input type="submit" value="Login" class="btn float-right login_btn"  onClick="oentrar.value=1;" >
					</div>
					

				    <input type="hidden" name="oculto" />
    				 <input name="oentrar" type="hidden" id="oentrar" />
				</form>
				
			</div>

			
            <?php
			     if($mensaje<>"")
				   {
					 echo "<div class='alert alert-warning'>
							   <strong>Alert!</strong> $mensaje
							 </div>	";
				   }
                        ?> 
			<div class="card-footer">
            
            </div>
            
           
		</div>
	</div>
</div>
</body>
</html>